Skip to main content
Get a single appointment
curl --request GET \
  --url https://api.splose.com/v1/appointments/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.splose.com/v1/appointments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.splose.com/v1/appointments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 1,
  "start": "2023-07-30T09:00:00.000Z",
  "end": "2023-07-30T09:00:00.000Z",
  "serviceId": 1,
  "locationId": 1,
  "practitionerId": 1,
  "maxPatients": 1,
  "appointmentPatients": [
    {
      "appointmentId": 1,
      "patientId": 1,
      "caseId": 1,
      "status": null,
      "note": "Some notes",
      "invoiceId": 1,
      "cancellationReason": "Other",
      "cancellationRate": 30,
      "cancellationNote": "Some notes",
      "statusUpdatedAt": "2023-07-30T09:00:00.000Z",
      "doNotInvoice": false
    }
  ],
  "repeatId": "12345678-abcd-4321-dcba-12a34b56c78d",
  "recurringRule": "DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6",
  "unit": "Hour",
  "pricing": 193.99,
  "total": 193.99,
  "taxType": "STANDARD",
  "supportItemIds": [
    1
  ],
  "note": "Some notes",
  "deletedAt": "2023-07-30T09:00:00.000Z",
  "isUnavailableBlock": false,
  "busyTimePractitionerIds": [],
  "archived": false,
  "createdAt": "2023-07-30T09:00:00.000Z",
  "updatedAt": "2023-07-30T09:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Required range: x > 0
Example:

1

Response

200 - application/json

Object with appointment data.

id
integer
required

Appointment id

Required range: x > 0
Example:

1

start
required

Appointment start date time

Example:

"2023-07-30T09:00:00.000Z"

end
required

Appointment end date time

Example:

"2023-07-30T09:00:00.000Z"

serviceId
integer | null
required

The service id of this appointment

Required range: x > 0
Example:

1

locationId
integer
required

The location id of this appointment

Required range: x > 0
Example:

1

practitionerId
integer | null
required

The practitioner id of this appointment

Required range: x > 0
Example:

1

maxPatients
integer
default:1
required

The max patient number of this appointment. A number greater than 1 indicates a group appointment.

Required range: x > 0
appointmentPatients
object[]
required

The status of each patient of this appointment

repeatId
string | null
required

An recurring appointment will have this repeat id

Example:

"12345678-abcd-4321-dcba-12a34b56c78d"

recurringRule
string | null
required

The rule for recurring appointment

Example:

"DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6"

unit
enum<string> | null
default:Hour
required

The appointment unit

Available options:
Hour,
Each
pricing
number | null
required

The appointment unit price, in dollar

Example:

193.99

total
number | null
required

The appointment total price without tax, in dollar

Example:

193.99

taxType
required

Tax type, check Splose support for more info

Available options:
STANDARD,
ZERO,
EXEMPT,
REDUCED
Example:

"STANDARD"

supportItemIds
integer[]
required

Array of support item ids of this appointment

Required range: x > 0
Example:
[1]
note
string | null
required

The appointment note

Example:

"Some notes"

deletedAt
required

Object archived date time

Example:

"2023-07-30T09:00:00.000Z"

isUnavailableBlock
boolean | null
default:false
deprecated

@deprecated - please refer to the new busy-time endpoint. Whether this time slot is unavailable, eg. busy time or meeting

busyTimePractitionerIds
integer[]
deprecated

@deprecated - please refer to the new busy-time endpoint. The practitioner ids of this multiple practitioners busy time

Required range: x > 0
archived
boolean | null
default:false

Whether the appointment has been archived

createdAt

Object creation date time

Example:

"2023-07-30T09:00:00.000Z"

updatedAt

Object update date time

Example:

"2023-07-30T09:00:00.000Z"